if [ -z $(hyprctl clients | grep "class: otter") ]; 
then hyprctl dispatch exec "kitty --class otter --title otter-launcher -e sh -c 'sleep 0.05 && otter-launcher'"; 
else echo application_already_Running; 
    if [ -z $(hyprctl activewindow | grep "class: otter") ];
	then hyprctl dispatch focuswindow class:otter
	else hyprctl dispatch killactive none;
    fi
fi
